// ecalcDlg.h : wb_[ t@C
//
// Copyright (C) 1996 by Hirofumi YAMAMOTO, Hiro Software Factory. All rights reserved.
//
// $Id: ecalcDlg.h 1.6 1996/05/26 17:06:04 hirofumi Rel $
//

/////////////////////////////////////////////////////////////////////////////
// CEcalcDlg dialog

#include "MyLCtrl.h"
#include "var.h"

class CEcalcDlg : public CDialog
{
// \z
public:
	CEcalcDlg(CWnd* pParent = NULL);	// W̃RXgN^
	virtual ~CEcalcDlg();

// Dialog Data
	//{{AFX_DATA(CEcalcDlg)
	enum { IDD = IDD_ECALC_DIALOG };
	MyListCtrl	m_varList;
	CEdit	m_input;
	CListBox	m_history;
	//}}AFX_DATA

	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(CEcalcDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;
	HICON m_smallIcon;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CEcalcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnLp();
	afx_msg void OnMul();
	afx_msg void OnPlus();
	afx_msg void OnRp();
	afx_msg void OnSub();
	afx_msg void OnDot();
	afx_msg void OnDiv();
	afx_msg void OnClr();
	afx_msg void OnDblclkHistory();
	afx_msg void OnColumnclickVarList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkVarList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnCancel();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnShl();
	afx_msg void OnShr();
	afx_msg void OnPower();
	afx_msg void OnExit();
	afx_msg void OnExpr();
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	afx_msg void OnNumButton(UINT);
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC(CEcalcDlg)

protected:
	void RefreshVariableDisplay();
	void InsertVar(int);
	void DeleteVar(int);
	void CopyVarValue(int n);

	void EditExpr(LPCTSTR = NULL);

	// [eBeB
	void SetDlgItemFont(UINT id, CFont*);

public:
	DisplayFormat m_dispFormat;
	DisplayFormat m_valueFormat;
	BOOL m_closing;
protected:
	enum { F_VARNAME, F_VALUE };
	CImageList m_imageList;
	// XyVtHg
	CFont m_spFont;
	// TCYύX̍ۂ̍ŏTCY
	CSize m_minSize;
	// ϐꗗƃt[̊Ԋu
	int m_spacing;
};

