/* expr.h
 *
 * Copyright (C) 1996 by Hirofumi YAMAMOTO, Hiro Software Factory. All rights reserved.
 *
 * $Id: expr.h 1.5 1996/05/26 17:06:04 hirofumi Rel $
 */

#ifndef EXPR_H
#define EXPR_H

extern double acc;
extern double* evaluate(char *s);
extern char* xstrdup(const char*);
extern void xstrfree();

#ifndef BOOL
#define BOOL	int
#endif

extern BOOL no_err;

extern void HandleError(const char* s);
extern double eval_variable(const char* name);
extern double assign_variable(const char* name, double value);

#endif
